package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.BlurryUserDto;
import com.qmth.distributed.print.business.bean.dto.LoginDto;
import com.qmth.distributed.print.business.bean.dto.UserDto;
import com.qmth.distributed.print.business.entity.SysUser;

import java.util.List;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface SysUserService extends IService<SysUser> {

    IPage<UserDto> list(String realName, String roleId, Boolean enable, Integer pageNumber, Integer pageSize);

    boolean saveUser(SysUser user);

    boolean enable(SysUser user);

    boolean resetPassword(Long id);

    boolean updatePassword(Long id, String oldPassword, String password);

    boolean bindRoles(SysUser sysUser);

    LoginDto getUserRoles(SysUser sysUser);

    List<BlurryUserDto> listUser(String courseCode, String param);

    List<SysUser> listByOrgId(Long id);

    boolean saveCustomer(SysUser user);

    IPage<UserDto> listCustomer(String realName, Boolean enable, Integer pageNumber, Integer pageSize);
}
